zcfan(1)

NAME
zcfan - zero-configuration fan control daemon for ThinkPads

DESCRIPTION
zcfan is a minimal, zero-configuration fan control daemon for ThinkPads.

OPTIONS
zcfan does not take any options. If any are provided, a help message will be printed and zcfan will exit.

CONFIGURATION

  USAGE

zcfan has the following default fan states:

    Config name | thinkpad_acpi fan level | Default trip temperature (C)
    max_temp | 7 | 90
    med_temp | 4 | 80
    low_temp | 1 | 70

You can optionally override this configuration at /etc/zcfan.conf with your desired threshold values in the following format:

        max_temp 85
        med_temp 70
        low_temp 55

If no trip temperature is reached, the fan will be turned off.

  HYSTERESIS

We will only reduce the fan level again once:

1.  The temperature is now at least temp_hysteresis Celsius below the trip point (default 10C), and

2.  At least 3 seconds have elapsed since the initial trip.

This avoids unnecessary fluctuations in fan speed.

  WATCHDOG

The kernel watchdog is reset every 120 seconds by default, but a smaller value can be selected in the /etc/zcfan.conf config file with the syntax

        watchdog_secs 10

DEPENDENCIES
thinkpad-acpi must be loaded with fan_control=1.

SEE ALSO
thinkfan(1)

AUTHOR
Chris Down chris@chrisdown.name

REPORTING BUGS
Please send bug reports to https://github.com/cdown/zcfan/issues.